Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1508034 - Review Request: rssguard - Simple yet powerful feed reader
Summary: Review Request: rssguard - Simple yet powerful feed reader
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-31 17:48 UTC by Robert-André Mauchin 🐧
Modified: 2017-11-11 03:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 03:13:56 UTC
Type: ---
Embargoed:
manisandro: fedora-review+


Attachments (Terms of Use)
licensecheck.txt (deleted)
2017-11-01 09:33 UTC, Sandro Mani
no flags Details

Description Robert-André Mauchin 🐧 2017-10-31 17:48:07 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/b771a18/rssguard.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rssguard/fedora-rawhide-x86_64/00656467-rssguard/rssguard-3.5.4-2.fc28.src.rpm

Description:
RSS Guard is simple, light and easy-to-use RSS/ATOM feed aggregator developed 
using Qt framework which supports online feed synchronization.

Fedora Account System Username: eclipseo

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=22829998

Comment 1 Sandro Mani 2017-11-01 09:28:53 UTC
There are a couple of errors like:

RCC: Error in '../resources/rssguard.qrc': Cannot find file 'localizations/rssguard_cs.qm'
messages 

in the build log, I suppose it might be related to the out-of-tree build and that localization is potentially broken?

Does CONFIG+=debug actually have any effect?

There appears to be a bundled qtsingleapplication, ideally it should be unbundled, otherwise you'll need to add the bundled(qtsingleapplication) provides, see [1]. Also note that qtsingleapplication is BSD licensed, hence you'd need to update the License field accordingly if you bundle.

[1] https://fedoraproject.org/wiki/Bundled_Libraries?rd=Packaging:Bundled_Libraries

Comment 2 Sandro Mani 2017-11-01 09:33:08 UTC
Created attachment 1346389 [details]
licensecheck.txt

Actually there are a variety of licenses involved, see licensecheck.txt attached.

Comment 3 Robert-André Mauchin 🐧 2017-11-01 12:14:15 UTC
> in the build log, I suppose it might be related to the out-of-tree build and that localization is potentially broken?

It's normal, it searches for compiled qm files, doesn't find them, so it compiles them with lrelease-qt5. The translations work fine.


> There appears to be a bundled qtsingleapplication, ideally it should be unbundled

I tried to do that, but it turns out the author "customized" the local copy of qtsingleapplication by adding functions to it. Specifically this commit:
https://github.com/martinrotter/rssguard/commit/5a6870e184c92f4131c52e2b7d35e57c81ba4607#diff-b665d878174c480761afcde9c0eaa1f0

He added a function called finish:

>void QtSingleApplication::finish()
>{
>  delete peer; peer = 0;
>}

If I try to build with the system qtsingleapplication, it fails because it desn't find thi finish function. I'm not sure how to proceed then.

Comment 4 Sandro Mani 2017-11-01 12:21:43 UTC
> It's normal, it searches for compiled qm files, doesn't find them, so it compiles them with lrelease-qt5. The translations work fine.

Ok

> He added a function called finish:
Ok, yes this is pretty un-unbundlable. In this case just add the bundled virtual provides, and perhaps add a comment about why it can't be unbundled.

Comment 5 Robert-André Mauchin 🐧 2017-11-01 13:56:52 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/8392830/rssguard.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/rssguard/fedora-rawhide-x86_64/00656729-rssguard/rssguard-3.5.4-3.fc28.src.rpm

 - I've fixed the license.

 - I've elected to remove the call to finish as it was not essential to the correct functioning of the restart function.

 - I've removed CONFIG+=debug.

Comment 6 Sandro Mani 2017-11-01 14:00:17 UTC
You can also

rm -rf src/qtsingleapplication

in %prep to be sure, and then you don't need to include it in the license breakdown.

For the rest, looks good!

Comment 8 Sandro Mani 2017-11-01 20:38:45 UTC
The following should be fixed
rssguard.x86_64: E: non-standard-executable-perm /usr/bin/rssguard 775

Otherwise all good, approved (but please fix the permission when importing).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated", "AGPL (v3 or
     later)", "BSD (3 clause) GPL (v3 or later)", "CC0", "*No copyright*
     BSD (3 clause)", "BSD (3 clause)".
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     rssguard-debuginfo , rssguard-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rssguard-3.5.4-3.fc28.x86_64.rpm
          rssguard-debuginfo-3.5.4-3.fc28.x86_64.rpm
          rssguard-debugsource-3.5.4-3.fc28.x86_64.rpm
          rssguard-3.5.4-3.fc28.src.rpm
rssguard.x86_64: W: spelling-error %description -l en_US aggregator -> aggregation, aggregate
rssguard.x86_64: W: only-non-binary-in-usr-lib
rssguard.x86_64: E: non-standard-executable-perm /usr/bin/rssguard 775
rssguard.x86_64: W: no-manual-page-for-binary rssguard
rssguard-debugsource.x86_64: W: no-documentation
rssguard.src: W: spelling-error %description -l en_US aggregator -> aggregation, aggregate
4 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: rssguard-debuginfo-3.5.4-3.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rssguard.x86_64: W: spelling-error %description -l en_US aggregator -> aggregation, aggregate
rssguard.x86_64: W: invalid-url URL: https://github.com/martinrotter/rssguard <urlopen error [Errno -2] Name or service not known>
rssguard.x86_64: W: only-non-binary-in-usr-lib
rssguard.x86_64: E: non-standard-executable-perm /usr/bin/rssguard 775
rssguard.x86_64: W: no-manual-page-for-binary rssguard
rssguard-debugsource.x86_64: W: invalid-url URL: https://github.com/martinrotter/rssguard <urlopen error [Errno -2] Name or service not known>
rssguard-debugsource.x86_64: W: no-documentation
rssguard-debuginfo.x86_64: W: invalid-url URL: https://github.com/martinrotter/rssguard <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 1 errors, 7 warnings.



Requires
--------
rssguard (rpmlib, GLIBC filtered):
    libGL.so.1()(64bit)
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.9)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Network.so.5()(64bit)
    libQt5Network.so.5(Qt_5)(64bit)
    libQt5Positioning.so.5()(64bit)
    libQt5PrintSupport.so.5()(64bit)
    libQt5Qml.so.5()(64bit)
    libQt5Quick.so.5()(64bit)
    libQt5Solutions_SingleApplication-2.6.so.1()(64bit)
    libQt5Sql.so.5()(64bit)
    libQt5Sql.so.5(Qt_5)(64bit)
    libQt5WebChannel.so.5()(64bit)
    libQt5WebEngineCore.so.5()(64bit)
    libQt5WebEngineCore.so.5(Qt_5)(64bit)
    libQt5WebEngineWidgets.so.5()(64bit)
    libQt5WebEngineWidgets.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libQt5Xml.so.5()(64bit)
    libQt5Xml.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

rssguard-debugsource (rpmlib, GLIBC filtered):

rssguard-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
rssguard:
    application()
    application(com.github.rssguard.desktop)
    metainfo()
    metainfo(com.github.rssguard.appdata.xml)
    rssguard
    rssguard(x86-64)

rssguard-debugsource:
    rssguard-debugsource
    rssguard-debugsource(x86-64)

rssguard-debuginfo:
    debuginfo(build-id)
    rssguard-debuginfo
    rssguard-debuginfo(x86-64)



Source checksums
----------------
https://github.com/martinrotter/rssguard/archive/3.5.4/rssguard-3.5.4.tar.gz :
  CHECKSUM(SHA256) this package     : 03828047151ad4f47a7242651cc38e33d37608b95edd7acaf929b79ec55e82f2
  CHECKSUM(SHA256) upstream package : 03828047151ad4f47a7242651cc38e33d37608b95edd7acaf929b79ec55e82f2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1508034
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Robert-André Mauchin 🐧 2017-11-01 20:43:51 UTC
Will do, thanks again for the reviews.

Comment 10 Gwyn Ciesla 2017-11-06 14:42:23 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rssguard

Comment 11 Fedora Update System 2017-11-07 13:34:45 UTC
rssguard-3.5.4-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-36b5951b6d

Comment 12 Fedora Update System 2017-11-07 19:15:19 UTC
rssguard-3.5.4-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-36b5951b6d

Comment 13 Fedora Update System 2017-11-11 03:13:56 UTC
rssguard-3.5.4-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.